%global __requires_exclude ^pear\\(gda.*\\)

%define	pkgname	libgda
%define api     5.0

%define dirver		5.0
%define oname		gda
%define	major		4
%define gi_major	5.0

%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname -d %{oname}%{api}
%define girname		%mklibname %{oname}-gir %{gi_major}
%define girname_ui	%mklibname %{oname}ui-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNU Data Access
Name: 		%{pkgname}%{api}
Version:	5.2.4
Release:	%mkrel 4
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL:            http://www.gnome-db.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		libgda-5.1.2-fix-str-fmt.patch
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(sqlite3) >= 3.6.11
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel
BuildRequires:	intltool >= 0.35.5
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	gobject-introspection-devel >= 0.6.5
Requires:	iso-codes

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name} >= %{version}
Requires:	%{name}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{libnamedev}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	%{girname_ui} = %{version}
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gda
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{_lib}gda5.0_4 < 5.1.0

%description -n %{girname}
GObject Introspection interface description for Gda.

%package -n %{girname_ui}
Summary:        GObject Introspection interface description for Gdaui
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{_lib}gda5.0_4 < 5.1.0

%description -n %{girname_ui}
GObject Introspection interface description for Gdaui.

%package postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA sqlite provider

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-introspection=yes \
	--enable-gda-gi \
	--enable-gdaui-gi \
	--enable-system-sqlite \
	--with-bdb=%{_prefix} \
	--with-bdb-libdir-name=%{_lib}
%make

%install
%makeinstall_std

# remove unneeded files
find %{buildroot} -name '*.la' -delete

%find_lang %{pkgname}-%{api} --with-help --all-name

%files -f %{pkgname}-%{api}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/libgda-%{dirver}
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/config
%{_datadir}/applications/gda-browser-%{api}.desktop
%{_datadir}/applications/gda-control-center-%{api}.desktop
%{_datadir}/pixmaps/gda*
%{_datadir}/icons/hicolor/*/apps/gda-control-center.*
%{_datadir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}/plugins
%dir %{_libdir}/libgda-%{dirver}/providers
%{_libdir}/libgda-%{dirver}/plugins/*.xml
%{_libdir}/libgda-%{dirver}/plugins/libgda-ui-plugins.so
%{_libdir}/libgda-%{dirver}/providers/libgda-web.so
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlcipher.so
%{_libdir}/libgda-%{dirver}/providers/libgda-ldap.so
%{_datadir}/appdata/gda-browser-5.0.appdata.xml

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-report-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-ui-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-xslt-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gda-%{gi_major}.typelib

%files -n %{girname_ui}
%{_libdir}/girepository-1.0/Gdaui-%{gi_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/libgda-%{dirver}/
%doc %{_datadir}/gtk-doc/html/gda-browser/
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%{_datadir}/gir-1.0/Gdaui-%{api}.gir

%files sqlite
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlite.so

%files postgres
%{_libdir}/libgda-%{dirver}/providers/libgda-postgres.so

%files bdb
%{_libdir}/libgda-%{dirver}/providers/libgda-bdb.so

%files mysql
%{_libdir}/libgda-%{dirver}/providers/libgda-mysql.so


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 5.2.4-4.mga6
+ Revision: 960982
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 fwang <fwang> 5.2.4-3.mga6
+ Revision: 876915
- rebuild for new libgcrypt

* Mon Jun 29 2015 wally <wally> 5.2.4-2.mga6
+ Revision: 847528
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 5.2.4-1.mga6
+ Revision: 836650
- new version 5.2.4

* Tue Nov 25 2014 cjw <cjw> 5.2.2-6.mga5
+ Revision: 798979
- rebuild against postgresql9.4

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 5.2.2-4.mga5
+ Revision: 731350
- add requires excludes

* Sun Sep 28 2014 tv <tv> 5.2.2-3.mga5
+ Revision: 731175
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 5.2.2-2.mga5
+ Revision: 681476
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 5.2.2-1.mga5
+ Revision: 583068
- update file list
- update file list

  + ovitters <ovitters>
    - new version 5.2.2
    - new version 5.2.1
    - new version 5.2.0

* Sat Oct 19 2013 umeabot <umeabot> 5.1.2-3.mga4
+ Revision: 534245
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 5.1.2-2.mga4
+ Revision: 477046
- rebuild for new postgresql

* Tue May 28 2013 fwang <fwang> 5.1.2-1.mga4
+ Revision: 429094
- fix str fmt

  + ovitters <ovitters>
    - drop merged patches
    - new version 5.1.2

* Sat Jan 12 2013 umeabot <umeabot> 5.1.1-2.mga3
+ Revision: 357158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 5.1.1-1.mga3
+ Revision: 296943
- add upstream fix to build gir
- drop merged patch
- new version 5.1.1

* Sun Jul 15 2012 wally <wally> 5.1.0-1.mga3
+ Revision: 271069
- split out gir typelibs
- build gi for sure
- clean .spec a bit

  + ovitters <ovitters>
    - add patch for string literal
    - drop patch 0 (upstreamed)
    - new version 5.1.0

* Wed Mar 14 2012 fwang <fwang> 5.0.3-3.mga2
+ Revision: 223311
- fix linkage

* Wed Mar 14 2012 fwang <fwang> 5.0.3-2.mga2
+ Revision: 223305
- add upstream patch to connect to mysql 4.x db (bug#4930)

* Wed Jan 25 2012 fwang <fwang> 5.0.3-1.mga2
+ Revision: 200698
- update file list
- new version 5.0.3

* Sun Nov 20 2011 wally <wally> 5.0.2-1.mga2
+ Revision: 170033
- new version 5.0.2

* Mon Nov 07 2011 wally <wally> 5.0.1-1.mga2
+ Revision: 164936
- new version 5.0.1

* Fri Oct 28 2011 wally <wally> 5.0.0-1.mga2
+ Revision: 159169
- new version 5.0.0

* Sat Sep 24 2011 fwang <fwang> 4.99.4-1.mga2
+ Revision: 147270
- update libmajor
- br readline
- add prefix for bdb
- build with system sqlite
- typo
- br cryptto
- imported package libgda5.0

